This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 161872 - Work Book 6, Chapt. 3, Exercise 1: Problem with the "_is_my_parent" test
Work Book 6, Chapt. 3, Exercise 1: Problem with the "_is_my_parent" test
Status: ASSIGNED
Product: Red Hat Academy
Classification: Retired
Component: RHA030 Curriculum (Show other bugs)
2.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bowe Strickland
Bowe Strickland
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-27 19:13 EDT by Donald Greer
Modified: 2008-05-01 11:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
copy of the bashrc for bcf69 (412 bytes, text/plain)
2005-06-27 19:13 EDT, Donald Greer
no flags Details

  None (edit)
Description Donald Greer 2005-06-27 19:13:44 EDT
Description of problem:
On occassion (happened to 2 students), the test of this excercise gives
"bin_is_my_parent" when it should be looking for "PPID_is_my_parent" where
"PPID" is the value of "$PPID".

I have manually verified these student's scripts and the results.  In one case
(afgonza) I was got it to work by commenting out the line that created the file
and retyped it.  After it worked, I removed my changes and retested and it
worked as it was supposed to.
  I've attached a copy of the .bashrc for "bcf69".
The other student "bcf69" had the same problem and he simply touched
"bin_is_my_parent" to work around it.


Version-Release number of selected component (if applicable):


How reproducible:
Happened on 2 out of 10 students, but HOW it happened is unknown.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Test results in "bin_is_my_parent" does not exist and no points on that section
of the lab.

Expected results:
"####_is_my_parent" exists and student should get points.

Additional info:
Comment 1 Donald Greer 2005-06-27 19:13:44 EDT
Created attachment 116040 [details]
copy of the bashrc for bcf69

Note You need to log in before you can comment on or make changes to this bug.